### Signal

# Gtk IconView::item-activated

#### Declaration

    void
    item_activated (
      GtkIconView* self,
      GtkTreePath* path,
      gpointer user_data
    )

#### Description [src]

The ::item-activated signal is emitted when the method `gtk_icon_view_item_activated()` is called, when the user double clicks an item with the “activate-on-single-click” property set to `FALSE`, or when the user single clicks an item when the “activate-on-single-click” property set to `TRUE`. It is also emitted when a non-editable item is selected and one of the keys: Space, Return or Enter is pressed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`path`

  Type: `GtkTreePath`

  The `GtkTreePath` for the activated item.

  The data is owned by the caller of the function.